diff --git a/configure.ac b/configure.ac
index 1d93cf7..7d5c98f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -67,11 +67,6 @@ cflags_set=${CFLAGS+set}
 AM_INIT_AUTOMAKE([1.11 -Wall no-define -Wno-portability tar-ustar no-dist-gzip dist-xz])
 AM_MAINTAINER_MODE([enable])
 
-# Support silent build rules. Disable
-# by either passing --disable-silent-rules to configure or passing V=1
-# to make
-AM_SILENT_RULES([yes])
-
 #
 # For each of the libraries we build, we define the following
 # substituted variables:
@@ -1139,21 +1134,21 @@ if test "x$enable_x11_backend" = xyes; then
     X_PACKAGES="$X_PACKAGES xi"
     GTK_PACKAGES_FOR_X="$GTK_PACKAGES_FOR_X xi"
 
-    AC_CHECK_HEADER(X11/extensions/XInput2.h,
-                    have_xinput2=yes
-                    AC_DEFINE(XINPUT_2, 1, [Define to 1 if XInput 2.0 is available]))
+#    AC_CHECK_HEADER(X11/extensions/XInput2.h,
+#                    have_xinput2=yes
+#                    AC_DEFINE(XINPUT_2, 1, [Define to 1 if XInput 2.0 is available]))
 
     gtk_save_LIBS="$LIBS"
     LIBS="$LIBS -lXi"
 
-    # Note that we also check that the XIScrollClassInfo struct is defined,
-    # because at least Ubuntu Oneiric seems to have XIAllowTouchEvents(), but not the XIScrollClassInfo struct.
-    AC_CHECK_FUNC([XIAllowTouchEvents],
-      [AC_CHECK_MEMBER([XIScrollClassInfo.number],
-                       have_xinput2_2=yes
-                       AC_DEFINE(XINPUT_2_2, 1, [Define to 1 if XInput 2.2 is available]),
-                       have_xinput2_2=no,
-                       [[#include <X11/extensions/XInput2.h>]])])
+#    # Note that we also check that the XIScrollClassInfo struct is defined,
+#    # because at least Ubuntu Oneiric seems to have XIAllowTouchEvents(), but not the XIScrollClassInfo struct.
+#    AC_CHECK_FUNC([XIAllowTouchEvents],
+#      [AC_CHECK_MEMBER([XIScrollClassInfo.number],
+#                       have_xinput2_2=yes
+#                       AC_DEFINE(XINPUT_2_2, 1, [Define to 1 if XInput 2.2 is available]),
+#                       have_xinput2_2=no,
+#                       [[#include <X11/extensions/XInput2.h>]])])
     LIBS="$gtk_save_LIBS"
 
     if test "x$have_xinput2_2" = "xyes"; then
@@ -1163,8 +1158,8 @@ if test "x$enable_x11_backend" = xyes; then
     fi
   fi
 
-  AS_IF([test "x$have_xinput2" != "xyes"],
-        [AC_MSG_ERROR([*** XInput2 extension not found. Check 'config.log' for more details.])])
+#  AS_IF([test "x$have_xinput2" != "xyes"],
+#        [AC_MSG_ERROR([*** XInput2 extension not found. Check 'config.log' for more details.])])
 
   # Check for the RANDR extension
   if test x"$enable_xrandr" != xno; then
@@ -1260,6 +1255,7 @@ fi
 # Check for Pango flags
 
 AC_MSG_CHECKING(Pango flags)
+echo $($PKG_CONFIG --cflags --libs $PANGO_PACKAGES)
 if $PKG_CONFIG --exists $PANGO_PACKAGES ; then
         PANGO_CFLAGS=`$PKG_CONFIG --cflags $PANGO_PACKAGES`
         PANGO_LIBS=`$PKG_CONFIG --libs $PANGO_PACKAGES`
diff --git a/gdk/x11/Makefile.am b/gdk/x11/Makefile.am
index 5930f7e..1ddd2d1 100644
--- a/gdk/x11/Makefile.am
+++ b/gdk/x11/Makefile.am
@@ -25,10 +25,8 @@ libgdk_x11_la_SOURCES = 	\
 	gdkasync.h		\
 	gdkcursor-x11.c		\
 	gdkdevice-core-x11.c	\
-	gdkdevice-xi2.c		\
 	gdkdevicemanager-core-x11.c \
 	gdkdevicemanager-x11.c	\
-	gdkdevicemanager-xi2.c	\
 	gdkdevicemanagerprivate-core.h \
 	gdkdisplaymanager-x11.c	\
 	gdkdisplay-x11.c	\
@@ -56,6 +54,9 @@ libgdk_x11_la_SOURCES = 	\
 	xsettings-client.h	\
 	xsettings-client.c
 
+##	gdkdevice-xi2.c		\
+##	gdkdevicemanager-xi2.c
+
 libgdkinclude_HEADERS = 	\
 	gdkx.h
 
@@ -64,10 +65,8 @@ libgdkx11include_HEADERS = 	\
 	gdkx11cursor.h		\
 	gdkx11device.h		\
 	gdkx11device-core.h	\
-	gdkx11device-xi2.h	\
 	gdkx11devicemanager.h   \
 	gdkx11devicemanager-core.h \
-	gdkx11devicemanager-xi2.h \
 	gdkx11display.h		\
 	gdkx11displaymanager.h	\
 	gdkx11dnd.h		\
@@ -79,6 +78,9 @@ libgdkx11include_HEADERS = 	\
 	gdkx11visual.h		\
 	gdkx11window.h
 
+##	gdkx11device-xi2.h	\
+##	gdkx11devicemanager-xi2.h 
+
 # We need to include all these C files here since the conditionals
 # don't seem to be correctly expanded for the dist files.
 EXTRA_DIST += 			\
diff --git a/gdk/x11/gdkx.h b/gdk/x11/gdkx.h
index b28580d..194ae9c 100644
--- a/gdk/x11/gdkx.h
+++ b/gdk/x11/gdkx.h
@@ -36,10 +36,18 @@
 #include <gdk/x11/gdkx11cursor.h>
 #include <gdk/x11/gdkx11device.h>
 #include <gdk/x11/gdkx11device-core.h>
+
+#if 0
 #include <gdk/x11/gdkx11device-xi2.h>
+#endif
+
 #include <gdk/x11/gdkx11devicemanager.h>
 #include <gdk/x11/gdkx11devicemanager-core.h>
+
+#if 0
 #include <gdk/x11/gdkx11devicemanager-xi2.h>
+#endif
+
 #include <gdk/x11/gdkx11display.h>
 #include <gdk/x11/gdkx11displaymanager.h>
 #include <gdk/x11/gdkx11dnd.h>
diff --git a/gtk/gtkdnd.c b/gtk/gtkdnd.c
index f1a37b9..702172a 100644
--- a/gtk/gtkdnd.c
+++ b/gtk/gtkdnd.c
@@ -403,6 +403,7 @@ root_key_filter (GdkXEvent *xevent,
   if ((ev->type == KeyPress || ev->type == KeyRelease) &&
       ev->xkey.root == ev->xkey.window)
     ev->xkey.window = (Window)data;
+#if 0
   else if (ev->type == GenericEvent)
     {
       XGenericEventCookie *cookie;
@@ -415,6 +416,7 @@ root_key_filter (GdkXEvent *xevent,
           dev->evtype == XI_KeyRelease)
         dev->event = (Window)data;
     }
+#endif
 
   return GDK_FILTER_CONTINUE;
 }
diff --git a/gtk/gtktypefuncs.c b/gtk/gtktypefuncs.c
index 986b729..43bee69 100644
--- a/gtk/gtktypefuncs.c
+++ b/gtk/gtktypefuncs.c
@@ -77,11 +77,15 @@ G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 #ifdef GDK_WINDOWING_X11
 *tp++ = gdk_x11_device_manager_core_get_type();
 #endif
+
+#if 0
 #ifdef GDK_WINDOWING_X11
 *tp++ = gdk_x11_device_manager_xi2_get_type();
 #endif
 #ifdef GDK_WINDOWING_X11
 *tp++ = gdk_x11_device_xi2_get_type();
+#endif
+
 #endif
 #ifdef GDK_WINDOWING_X11
 *tp++ = gdk_x11_display_get_type();
diff --git a/testsuite/gtk/objects-finalize.c b/testsuite/gtk/objects-finalize.c
index fd28f88..d74b1ef 100644
--- a/testsuite/gtk/objects-finalize.c
+++ b/testsuite/gtk/objects-finalize.c
@@ -112,7 +112,6 @@ main (int argc, char **argv)
 	  all_types[i] != GDK_TYPE_X11_CURSOR &&
 	  all_types[i] != GDK_TYPE_X11_SCREEN &&
 	  all_types[i] != GDK_TYPE_X11_DISPLAY &&
-	  all_types[i] != GDK_TYPE_X11_DEVICE_MANAGER_XI2 &&
 	  all_types[i] != GDK_TYPE_X11_DISPLAY_MANAGER &&
 #endif
 	  /* Not allowed to finalize a GdkPixbufLoader without calling gdk_pixbuf_loader_close() */
